import React from 'react';
import ReactDOM from 'react-dom';
import {Map as MapboxMap} from '@commodityvectors/react-mapbox-gl';

const BaseMap = ({ children, ...props }) => {
    return (
        <MapboxMap
            mapStyle={"mapbox://styles/mapbox/streets-v10"}
            accessToken=""
            {...props}
        >
            {children}
        </MapboxMap>
    );
};

const App = () => {
    return <BaseMap />;
};

ReactDOM.render(
    <section style={{height: '100%', width: '100%'}}>
        <App />
    </section>,
    document.getElementById('root')
);
